//	Release Version:	$ ODF 1 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef PART_H
#define PART_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

//=======================================================================
class FW_CPart;
class FW_CPresentation;

//=======================================================================
class CGraphicsBfrPart : public FW_CPart {
public:
	FW_DECLARE_AUTO(CGraphicsBfrPart)
							CGraphicsBfrPart(ODPart* odPart);
	virtual 				~CGraphicsBfrPart();
// overrides
protected:
	virtual void 			Initialize(Environment* ev);
	virtual FW_CContent* 	NewPartContent(Environment* ev);
	virtual FW_CFrame*		NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_CWindow*		NewDocumentWindow(Environment* ev);
	virtual FW_Boolean		DoMenu(Environment* ev,
							   		const FW_CMenuEvent& theMenuEvent);
private:
	FW_CPresentation* 		fPresentation;
};

//=======================================================================
#endif
